dan200.computercraft.api.turtle

## Enum TurtleAnimation

- java.lang.Object
- - java.lang.Enum<TurtleAnimation>
  - - dan200.computercraft.api.turtle.TurtleAnimation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TurtleAnimation>

    public enum TurtleAnimation
    extends java.lang.Enum<TurtleAnimation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MoveBack`
`MoveDown`
`MoveForward`
`MoveUp`
`None`
`SwingLeftTool`
`SwingRightTool`
`TurnLeft`
`TurnRight`
`Wait`

### Method Summary

Methods
`static TurtleAnimation` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TurtleAnimation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final TurtleAnimation None

#### MoveForward

    public static final TurtleAnimation MoveForward

#### MoveBack

    public static final TurtleAnimation MoveBack

#### MoveUp

    public static final TurtleAnimation MoveUp

#### MoveDown

    public static final TurtleAnimation MoveDown

#### TurnLeft

    public static final TurtleAnimation TurnLeft

#### TurnRight

    public static final TurtleAnimation TurnRight

#### SwingLeftTool

    public static final TurtleAnimation SwingLeftTool

#### SwingRightTool

    public static final TurtleAnimation SwingRightTool

#### Wait

    public static final TurtleAnimation Wait

### Method Detail

#### values

    public static TurtleAnimation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TurtleAnimation c : TurtleAnimation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TurtleAnimation valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null